Subject: Fertilizers

From: [email-masked] (Alice Lee)
Date: 15 May 1996 03:09:51 GMT

I have a potted palm indoors - can anyone tell me whether I need to nourish 
the plant with fertilizers, if so, what kind and how often.  Need your advice 
real soon.

---

From: J Kroin <[email-masked]>
Date: 16 May 1996 04:12:06 GMT

>the plant with fertilizers, if so, what kind and how often.  Need your advice 

Only fertilize lightly during the active growing season. Use a light duty 
fert like Sterns, Jobs, or others.
Should dose about every other watering if u use lowest rate mfr 
recommends. Stop fert late fall. Resume early spring. Keep dry during 
the winter season.

regards
Joel
-- 
              *******************  Hortus USA Corp. ******************* 
              PO Box 1956 Old Chelsea Station, New York NY 10113 USA
    Exclusive USA Importer of Rhizopon Plant Growth Regulator-Rooting 
Hormones
              ****************  [email-masked]  **************